## qasmixer 0.14.0

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


# Select a default build type

IF ( NOT CMAKE_BUILD_TYPE )
	SET ( CMAKE_BUILD_TYPE Release )
ENDIF ( NOT CMAKE_BUILD_TYPE )


# Program name

IF ( NOT PROGRAM_TITLE )
	SET ( PROGRAM_TITLE QasMixer )
ENDIF ( NOT PROGRAM_TITLE )

IF ( NOT PROGRAM_NAME )
	SET ( PROGRAM_NAME qasmixer )
ENDIF ( NOT PROGRAM_NAME )


# Program version

SET ( VERSION_MAJOR "0" )
SET ( VERSION_MINOR "14" )
SET ( VERSION_PATCH "0" )

SET ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )


#
# Installation directories
#

IF ( NOT INSTALL_DIR_BIN )
	SET ( INSTALL_DIR_BIN "bin" )
ENDIF ( NOT INSTALL_DIR_BIN )

IF ( NOT INSTALL_DIR_MAN )
	SET ( INSTALL_DIR_MAN "share/man/man1" )
ENDIF ( NOT INSTALL_DIR_MAN )

IF ( NOT INSTALL_DIR_DESKTOP )
	SET ( INSTALL_DIR_DESKTOP "share/applications" )
ENDIF ( NOT INSTALL_DIR_DESKTOP )


IF ( NOT INSTALL_DIR_DATA )
	SET ( INSTALL_DIR_DATA "share/${PROGRAM_NAME}" )
ENDIF ( NOT INSTALL_DIR_DATA )

IF ( NOT INSTALL_DIR_L10N )
	SET ( INSTALL_DIR_L10N "${INSTALL_DIR_DATA}/l10n" )
ENDIF ( NOT INSTALL_DIR_L10N )

IF ( NOT INSTALL_DIR_APP_ICONS )
	SET ( INSTALL_DIR_APP_ICONS "${INSTALL_DIR_DATA}/icons" )
ENDIF ( NOT INSTALL_DIR_APP_ICONS )

IF ( NOT INSTALL_DIR_WIDGETS_GRAPHICS )
	SET ( INSTALL_DIR_WIDGETS_GRAPHICS "${INSTALL_DIR_DATA}/widgets" )
ENDIF ( NOT INSTALL_DIR_WIDGETS_GRAPHICS )


# Icon installation directories

IF ( NOT INSTALL_DIR_ICONS_PNG_16 )
	SET ( INSTALL_DIR_ICONS_PNG_16 "share/icons/hicolor/16x16/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_16 )

IF ( NOT INSTALL_DIR_ICONS_PNG_32 )
	SET ( INSTALL_DIR_ICONS_PNG_32 "share/icons/hicolor/32x32/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_32 )

IF ( NOT INSTALL_DIR_ICONS_PNG_48 )
	SET ( INSTALL_DIR_ICONS_PNG_48 "share/icons/hicolor/48x48/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_48 )

IF ( NOT INSTALL_DIR_ICONS_PNG_64 )
	SET ( INSTALL_DIR_ICONS_PNG_64 "share/icons/hicolor/64x64/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_64 )

IF ( NOT INSTALL_DIR_ICONS_SVG )
	SET ( INSTALL_DIR_ICONS_SVG "share/icons/hicolor/scalable/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_SVG )


# Installation

IF ( NOT SKIP_LICENSE_INSTALL )
	INSTALL( FILES "COPYING"
		DESTINATION ${INSTALL_DIR_DATA} )
ENDIF ( NOT SKIP_LICENSE_INSTALL )


# Process subdirectories

ADD_SUBDIRECTORY ( src )
ADD_SUBDIRECTORY ( graphics )
ADD_SUBDIRECTORY ( share )
ADD_SUBDIRECTORY ( i18n )
ADD_SUBDIRECTORY ( doc )
