=== doc/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


#
# Manapges
#

ADD_SUBDIRECTORY ( man )
