=== i18n/l10n/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )

FILE ( GLOB ts_files "*.ts" )

QT4_ADD_TRANSLATION ( qm_files ${ts_files} )

ADD_CUSTOM_TARGET (
	translations ALL
	DEPENDS ${qm_files} )

INSTALL( FILES ${qm_files}
	DESTINATION ${INSTALL_DIR_L10N} )
