=== debian/changelog ===
qasmixer (0.14.0-1) unstable; urgency=low
  * Reduced flicker on a mixer change
  * Minimize to tray removed - fixes disappearing issue in Gnome
  * Balloon style tweaks
  * Balloon closes on click
  * Balloon icon recognizes wheel events (changes the volume)
  * Mouse over tray icon raises the balloon
  * View type toolbar changed to tab selection
  * Playback/capture toolbar buttons moved to the bottom switches area
  * Improved widget focus restoring after a channel join/split
  * Device selection reflects the actual ALSA tree
  * Simplified settings dialog
  * Mixer window restores its former size on startup
  * Multithreaded widget painting (if Qt version allows it)
  * More graphics reuse for a smaller memory footprint
  * QT4 replaced with Qt in the package description (Closes: #635233)

 -- Sebastian Holtermann <sebholt@xwmw.org>  Sat, 17 Sep 2011 22:49:57 +0200

qasmixer (0.12.2-1) unstable; urgency=low
  * cmake required version bumped from 2.6 to 2.8
  * Removed cmake_modules/FindALSA.cmake
  * All qreal types replaced with double type -
    should compile on arm systems now
  * Package description updated

 -- Sebastian Holtermann <sebholt@xwmw.org>  Mon, 11 Jul 2011 12:06:07 +0200

qasmixer (0.12.1-1) unstable; urgency=low

  * Initial public release (Closes: #632642)

 -- Sebastian Holtermann <sebholt@xwmw.org>  Fri, 08 Jul 2011 08:42:01 +0200
