=== debian/control ===
Source: qasmixer
Section: sound
Priority: optional
Maintainer: Sebastian Holtermann <sebholt@xwmw.org>
Build-Depends: debhelper (>= 8), cmake, libasound2-dev, libqt4-dev
Standards-Version: 3.9.2
Homepage: http://xwmw.org/qasmixer

Package: qasmixer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ALSA sound mixer with a size adaptive Qt GUI
 QasMixer is a volume mixer application for the Linux sound 
 architecture ALSA. It features a customized Qt GUI with 
 size adaptive slider and checkbox widgets.
 .
 There are more nice features:
  - Multiple soundcard and ALSA CTL plugin support 
  - Simple mixer view (alsamixer)
  - Element detail view (element mixer)
  - Separate or joined channel manipulation
  - Slider decibel/percent value display
  - ALSA configuration tree browser
  - System tray icon support (minimixer)
