=== debian/watch ===
version=3
http://sf.net/qasmixer/qasmixer[-_](.+)\.tar\.bz2
